<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.00"
           xmlns:emcs="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02"
           xmlns:tms="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02"
           xmlns:tcl="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02"
           xmlns:doc="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02"
           xmlns:emcstypes="http://www.mf.gov.pl/schematy/EMCSPL3/EMCSTYPES/2019/10/"
           xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
           xmlns:xades="http://uri.etsi.org/01903/v1.3.2#"
           
           xmlns:dd705="http://www.mf.gov.pl/schematy/EDD/DD705/2020/05/"
           xmlns:dd810="http://www.mf.gov.pl/schematy/EDD/DD810/2020/05/"
           xmlns:dd812="http://www.mf.gov.pl/schematy/EDD/DD812/2020/05/"
           xmlns:dd813="http://www.mf.gov.pl/schematy/EDD/DD813/2020/05/"
           xmlns:dd813B="http://www.mf.gov.pl/schematy/EDD/DD813B/2020/05/"
           xmlns:dd815="http://www.mf.gov.pl/schematy/EDD/DD815/2020/05/"
           xmlns:dd815B="http://www.mf.gov.pl/schematy/EDD/DD815B/2020/05/"
           xmlns:dd817="http://www.mf.gov.pl/schematy/EDD/DD817/2020/05/"
           xmlns:dd818="http://www.mf.gov.pl/schematy/EDD/DD818/2020/05/"
           xmlns:dd818B="http://www.mf.gov.pl/schematy/EDD/DD818B/2020/05/"
           xmlns:ddtypes="http://www.mf.gov.pl/schematy/EDD/DDTYPES/2020/05/"
           
           xmlns:req="http://www.mf.gov.pl/schematy/EDD/TraderToEDD/2020/05/"
           targetNamespace="http://www.mf.gov.pl/schematy/EDD/TraderToEDD/2020/05/" >
  <!--===============================================-->
  <!--===== Komunikat przesłany do EMCS PL e-DD =====-->
  <!--=====      przez podmiot gospodarczy      =====-->
  <!--===============================================-->

  <!--===== Imports =====-->
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:EMCS:V2.02" schemaLocation="types.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TMS:V2.02" schemaLocation="tms.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:TCL:V2.02" schemaLocation="tcl.xsd" />
  <xs:import namespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:DOC:V2.02" schemaLocation="doc.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EMCSPL3/EMCSTYPES/2019/10/" schemaLocation="emcsTypes.xsd"/>

  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD705/2020/05/" schemaLocation="dd705.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD810/2020/05/" schemaLocation="dd810.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD812/2020/05/" schemaLocation="dd812.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD813/2020/05/" schemaLocation="dd813.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD813B/2020/05/" schemaLocation="dd813B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD815/2020/05/" schemaLocation="dd815.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD815B/2020/05/" schemaLocation="dd815B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD817/2020/05/" schemaLocation="dd817.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD818/2020/05/" schemaLocation="dd818.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DD818B/2020/05/" schemaLocation="dd818B.xsd" />
  <xs:import namespace="http://www.mf.gov.pl/schematy/EDD/DDTYPES/2020/05/" schemaLocation="ddTypes.xsd"/>

  <xs:import namespace="http://www.w3.org/2000/09/xmldsig#" schemaLocation="xmldsig-core-schema.xsd" />
  <xs:import namespace="http://uri.etsi.org/01903/v1.3.2#" schemaLocation="XAdES.xsd" />

  <!--===== Root Element =====-->
  <xs:element name="TraderToEDD" type="req:TraderToEDDType" />

  <!--===== EMCS Data Groups Declarations =====-->
  <xs:complexType name="TraderToEDDType">
    <xs:sequence>
      <xs:element name="Message" type="req:MessageType" />
      <xs:element ref="ds:Signature"/>
    </xs:sequence>
  </xs:complexType>

  <xs:complexType name="MessageType">
    <xs:choice>
      <xs:element ref="dd705:DD705" />
      <xs:element ref="dd810:DD810" />
      <xs:element ref="dd812:DD812" />
      <xs:element ref="dd813:DD813" />
      <xs:element ref="dd813B:DD813B" />
      <xs:element ref="dd815:DD815" />
      <xs:element ref="dd815B:DD815B" />
      <xs:element ref="dd817:DD817" />
      <xs:element ref="dd818:DD818" />
      <xs:element ref="dd818B:DD818B" />
    </xs:choice>
  </xs:complexType>

</xs:schema>
